On Oracle Big Data Appliance Mammoth Upgrade from v2.0.1 to 2.3.1 Fails on Step#10 with "Upgrade/Exec[stop_mysql]" and "Odisetup/Service[odi-agent]/ensure" Errors (Doc ID 1668411.1)

Last updated on MARCH 24, 2017

Applies to:

Big Data Appliance Integrated Software - Version 2.0.1 and later
Linux x86-64

Symptoms

During Mammoth Upgrade from v2.0.1 to v2.3.1 the upgrade fails on Step#10 with the following errors:

ERROR: Puppet agent run on node <rack name>-bdanode03 had errors. List of errors follows

************************************
Error [10280]: (//<rack name>-bdanode03.<domain name>//Stage[main]/Mysql::Upgrade/Exec[stop_mysql]/returns) change from notrun to 0 failed: Command exceeded timeout at /opt/oracle/BDAMammoth/puppet/modules/mysql/manifests/installmysql.pp:23
************************************
...

ERROR: Puppet agent run on node <rack name>-bdanode04 had errors. List of errors follows

************************************
Error [10280]: (//<rack name>-bdanode04.<domain name>//Stage[main]/Odi::Odisetup/Service[odi-agent]/ensure) change from stopped to running failed: Could not start Service[odi-agent]: Execution of '/sbin/service odi-agent start' returned 1:  at /opt/oracle/BDAMammoth/puppet/modules/odi/manifests/odisetup.pp:300

 

 Manually trying to restart mysql service from node 3 and odi_agent from node 4 also fails.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms